package com.goldenwater.slaj.sins.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.sins.mapper.ObjCaseMapper;
import com.goldenwater.slaj.sins.domain.ObjCase;
import com.goldenwater.slaj.sins.service.IObjCaseService;

@Service
public class ObjCaseServiceImpl implements IObjCaseService {
    @Autowired
    private ObjCaseMapper objCaseMapper;

    @Override
    public ObjCase selectObjCaseByGuid(String guid) { return objCaseMapper.selectObjCaseByGuid(guid); }
    @Override
    public List<ObjCase> selectObjCaseList(ObjCase objCase) { return objCaseMapper.selectObjCaseList(objCase); }
    @Override
    public int insertObjCase(ObjCase objCase) { return objCaseMapper.insertObjCase(objCase); }
    @Override
    public int updateObjCase(ObjCase objCase) { return objCaseMapper.updateObjCase(objCase); }
    @Override
    public int deleteObjCaseByGuid(String guid) { return objCaseMapper.deleteObjCaseByGuid(guid); }
    @Override
    public int deleteObjCaseByGuids(String[] guids) { return objCaseMapper.deleteObjCaseByGuids(guids); }
}
